import { reactive as Gn, watch as Kn } from "vue";
function Jr(e) {
  return e instanceof File || e instanceof Blob || e instanceof FileList && e.length > 0 || e instanceof FormData && Array.from(e.values()).some((r) => Jr(r)) || typeof e == "object" && e !== null && Object.values(e).some((r) => Jr(r));
}
function wn(e, r = new FormData(), o = null) {
  e = e || {};
  for (const i in e)
    Object.prototype.hasOwnProperty.call(e, i) && On(r, En(o, i), e[i]);
  return r;
}
function En(e, r) {
  return e ? e + "[" + r + "]" : r;
}
function On(e, r, o) {
  if (Array.isArray(o))
    return Array.from(o.keys()).forEach((i) => On(e, En(r, i.toString()), o[i]));
  if (o instanceof Date)
    return e.append(r, o.toISOString());
  if (o instanceof File)
    return e.append(r, o, o.name);
  if (o instanceof Blob)
    return e.append(r, o);
  if (typeof o == "boolean")
    return e.append(r, o ? "1" : "0");
  if (typeof o == "string")
    return e.append(r, o);
  if (typeof o == "number")
    return e.append(r, `${o}`);
  if (o == null)
    return e.append(r, "");
  wn(o, e, r);
}
function $n(e, r = window.location.toString()) {
  return new URL(e.toString(), r);
}
function Jn(e) {
  return e = new URL(e.href), e.hash = "", e;
}
function Sn(e, r) {
  return function() {
    return e.apply(r, arguments);
  };
}
const { toString: An } = Object.prototype, { getPrototypeOf: kr } = Object, tn = ((e) => (r) => {
  const o = An.call(r);
  return e[o] || (e[o] = o.slice(8, -1).toLowerCase());
})(/* @__PURE__ */ Object.create(null)), it = (e) => (e = e.toLowerCase(), (r) => tn(r) === e), Ke = (e) => (r) => typeof r === e, { isArray: Nt } = Array, oe = Ke("undefined");
function Wn(e) {
  return e !== null && !oe(e) && e.constructor !== null && !oe(e.constructor) && ft(e.constructor.isBuffer) && e.constructor.isBuffer(e);
}
const Tn = it("ArrayBuffer");
function Vn(e) {
  let r;
  return typeof ArrayBuffer < "u" && ArrayBuffer.isView ? r = ArrayBuffer.isView(e) : r = e && e.buffer && Tn(e.buffer), r;
}
const Xn = Ke("string"), ft = Ke("function"), vn = Ke("number"), en = (e) => e !== null && typeof e == "object", Zn = (e) => e === !0 || e === !1, Me = (e) => {
  if (tn(e) !== "object")
    return !1;
  const r = kr(e);
  return (r === null || r === Object.prototype || Object.getPrototypeOf(r) === null) && !(Symbol.toStringTag in e) && !(Symbol.iterator in e);
}, Qn = it("Date"), Yn = it("File"), kn = it("Blob"), to = it("FileList"), eo = (e) => en(e) && ft(e.pipe), ro = (e) => {
  const r = "[object FormData]";
  return e && (typeof FormData == "function" && e instanceof FormData || An.call(e) === r || ft(e.toString) && e.toString() === r);
}, no = it("URLSearchParams"), oo = (e) => e.trim ? e.trim() : e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, "");
function ie(e, r, { allOwnKeys: o = !1 } = {}) {
  if (e === null || typeof e > "u")
    return;
  let i, a;
  if (typeof e != "object" && (e = [e]), Nt(e))
    for (i = 0, a = e.length; i < a; i++)
      r.call(null, e[i], i, e);
  else {
    const c = o ? Object.getOwnPropertyNames(e) : Object.keys(e), u = c.length;
    let g;
    for (i = 0; i < u; i++)
      g = c[i], r.call(null, e[g], g, e);
  }
}
function Rn(e, r) {
  r = r.toLowerCase();
  const o = Object.keys(e);
  let i = o.length, a;
  for (; i-- > 0; )
    if (a = o[i], r === a.toLowerCase())
      return a;
  return null;
}
const jn = (() => typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : global)(), Cn = (e) => !oe(e) && e !== jn;
function Wr() {
  const { caseless: e } = Cn(this) && this || {}, r = {}, o = (i, a) => {
    const c = e && Rn(r, a) || a;
    Me(r[c]) && Me(i) ? r[c] = Wr(r[c], i) : Me(i) ? r[c] = Wr({}, i) : Nt(i) ? r[c] = i.slice() : r[c] = i;
  };
  for (let i = 0, a = arguments.length; i < a; i++)
    arguments[i] && ie(arguments[i], o);
  return r;
}
const io = (e, r, o, { allOwnKeys: i } = {}) => (ie(r, (a, c) => {
  o && ft(a) ? e[c] = Sn(a, o) : e[c] = a;
}, { allOwnKeys: i }), e), so = (e) => (e.charCodeAt(0) === 65279 && (e = e.slice(1)), e), ao = (e, r, o, i) => {
  e.prototype = Object.create(r.prototype, i), e.prototype.constructor = e, Object.defineProperty(e, "super", {
    value: r.prototype
  }), o && Object.assign(e.prototype, o);
}, co = (e, r, o, i) => {
  let a, c, u;
  const g = {};
  if (r = r || {}, e == null)
    return r;
  do {
    for (a = Object.getOwnPropertyNames(e), c = a.length; c-- > 0; )
      u = a[c], (!i || i(u, e, r)) && !g[u] && (r[u] = e[u], g[u] = !0);
    e = o !== !1 && kr(e);
  } while (e && (!o || o(e, r)) && e !== Object.prototype);
  return r;
}, uo = (e, r, o) => {
  e = String(e), (o === void 0 || o > e.length) && (o = e.length), o -= r.length;
  const i = e.indexOf(r, o);
  return i !== -1 && i === o;
}, fo = (e) => {
  if (!e)
    return null;
  if (Nt(e))
    return e;
  let r = e.length;
  if (!vn(r))
    return null;
  const o = new Array(r);
  for (; r-- > 0; )
    o[r] = e[r];
  return o;
}, lo = ((e) => (r) => e && r instanceof e)(typeof Uint8Array < "u" && kr(Uint8Array)), ho = (e, r) => {
  const o = (e && e[Symbol.iterator]).call(e);
  let i;
  for (; (i = o.next()) && !i.done; ) {
    const a = i.value;
    r.call(e, a[0], a[1]);
  }
}, po = (e, r) => {
  let o;
  const i = [];
  for (; (o = e.exec(r)) !== null; )
    i.push(o);
  return i;
}, go = it("HTMLFormElement"), yo = (e) => e.toLowerCase().replace(
  /[-_\s]([a-z\d])(\w*)/g,
  function(r, o, i) {
    return o.toUpperCase() + i;
  }
), un = (({ hasOwnProperty: e }) => (r, o) => e.call(r, o))(Object.prototype), mo = it("RegExp"), xn = (e, r) => {
  const o = Object.getOwnPropertyDescriptors(e), i = {};
  ie(o, (a, c) => {
    r(a, c, e) !== !1 && (i[c] = a);
  }), Object.defineProperties(e, i);
}, bo = (e) => {
  xn(e, (r, o) => {
    if (ft(e) && ["arguments", "caller", "callee"].indexOf(o) !== -1)
      return !1;
    const i = e[o];
    if (ft(i)) {
      if (r.enumerable = !1, "writable" in r) {
        r.writable = !1;
        return;
      }
      r.set || (r.set = () => {
        throw Error("Can not rewrite read-only method '" + o + "'");
      });
    }
  });
}, _o = (e, r) => {
  const o = {}, i = (a) => {
    a.forEach((c) => {
      o[c] = !0;
    });
  };
  return Nt(e) ? i(e) : i(String(e).split(r)), o;
}, wo = () => {
}, Eo = (e, r) => (e = +e, Number.isFinite(e) ? e : r), zr = "abcdefghijklmnopqrstuvwxyz", fn = "0123456789", Pn = {
  DIGIT: fn,
  ALPHA: zr,
  ALPHA_DIGIT: zr + zr.toUpperCase() + fn
}, Oo = (e = 16, r = Pn.ALPHA_DIGIT) => {
  let o = "";
  const { length: i } = r;
  for (; e--; )
    o += r[Math.random() * i | 0];
  return o;
};
function So(e) {
  return !!(e && ft(e.append) && e[Symbol.toStringTag] === "FormData" && e[Symbol.iterator]);
}
const Ao = (e) => {
  const r = new Array(10), o = (i, a) => {
    if (en(i)) {
      if (r.indexOf(i) >= 0)
        return;
      if (!("toJSON" in i)) {
        r[a] = i;
        const c = Nt(i) ? [] : {};
        return ie(i, (u, g) => {
          const p = o(u, a + 1);
          !oe(p) && (c[g] = p);
        }), r[a] = void 0, c;
      }
    }
    return i;
  };
  return o(e, 0);
}, l = {
  isArray: Nt,
  isArrayBuffer: Tn,
  isBuffer: Wn,
  isFormData: ro,
  isArrayBufferView: Vn,
  isString: Xn,
  isNumber: vn,
  isBoolean: Zn,
  isObject: en,
  isPlainObject: Me,
  isUndefined: oe,
  isDate: Qn,
  isFile: Yn,
  isBlob: kn,
  isRegExp: mo,
  isFunction: ft,
  isStream: eo,
  isURLSearchParams: no,
  isTypedArray: lo,
  isFileList: to,
  forEach: ie,
  merge: Wr,
  extend: io,
  trim: oo,
  stripBOM: so,
  inherits: ao,
  toFlatObject: co,
  kindOf: tn,
  kindOfTest: it,
  endsWith: uo,
  toArray: fo,
  forEachEntry: ho,
  matchAll: po,
  isHTMLForm: go,
  hasOwnProperty: un,
  hasOwnProp: un,
  reduceDescriptors: xn,
  freezeMethods: bo,
  toObjectSet: _o,
  toCamelCase: yo,
  noop: wo,
  toFiniteNumber: Eo,
  findKey: Rn,
  global: jn,
  isContextDefined: Cn,
  ALPHABET: Pn,
  generateString: Oo,
  isSpecCompliantForm: So,
  toJSONObject: Ao
};
function A(e, r, o, i, a) {
  Error.call(this), Error.captureStackTrace ? Error.captureStackTrace(this, this.constructor) : this.stack = new Error().stack, this.message = e, this.name = "AxiosError", r && (this.code = r), o && (this.config = o), i && (this.request = i), a && (this.response = a);
}
l.inherits(A, Error, {
  toJSON: function() {
    return {
      message: this.message,
      name: this.name,
      description: this.description,
      number: this.number,
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      config: l.toJSONObject(this.config),
      code: this.code,
      status: this.response && this.response.status ? this.response.status : null
    };
  }
});
const Nn = A.prototype, Ln = {};
[
  "ERR_BAD_OPTION_VALUE",
  "ERR_BAD_OPTION",
  "ECONNABORTED",
  "ETIMEDOUT",
  "ERR_NETWORK",
  "ERR_FR_TOO_MANY_REDIRECTS",
  "ERR_DEPRECATED",
  "ERR_BAD_RESPONSE",
  "ERR_BAD_REQUEST",
  "ERR_CANCELED",
  "ERR_NOT_SUPPORT",
  "ERR_INVALID_URL"
].forEach((e) => {
  Ln[e] = { value: e };
});
Object.defineProperties(A, Ln);
Object.defineProperty(Nn, "isAxiosError", { value: !0 });
A.from = (e, r, o, i, a, c) => {
  const u = Object.create(Nn);
  return l.toFlatObject(e, u, function(g) {
    return g !== Error.prototype;
  }, (g) => g !== "isAxiosError"), A.call(u, e.message, r, o, i, a), u.cause = e, u.name = e.name, c && Object.assign(u, c), u;
};
const To = null;
function Vr(e) {
  return l.isPlainObject(e) || l.isArray(e);
}
function Fn(e) {
  return l.endsWith(e, "[]") ? e.slice(0, -2) : e;
}
function ln(e, r, o) {
  return e ? e.concat(r).map(function(i, a) {
    return i = Fn(i), !o && a ? "[" + i + "]" : i;
  }).join(o ? "." : "") : r;
}
function vo(e) {
  return l.isArray(e) && !e.some(Vr);
}
const Ro = l.toFlatObject(l, {}, null, function(e) {
  return /^is[A-Z]/.test(e);
});
function $e(e, r, o) {
  if (!l.isObject(e))
    throw new TypeError("target must be an object");
  r = r || new FormData(), o = l.toFlatObject(o, {
    metaTokens: !0,
    dots: !1,
    indexes: !1
  }, !1, function(m, E) {
    return !l.isUndefined(E[m]);
  });
  const i = o.metaTokens, a = o.visitor || h, c = o.dots, u = o.indexes, g = (o.Blob || typeof Blob < "u" && Blob) && l.isSpecCompliantForm(r);
  if (!l.isFunction(a))
    throw new TypeError("visitor must be a function");
  function p(m) {
    if (m === null)
      return "";
    if (l.isDate(m))
      return m.toISOString();
    if (!g && l.isBlob(m))
      throw new A("Blob is not supported. Use a Buffer instead.");
    return l.isArrayBuffer(m) || l.isTypedArray(m) ? g && typeof Blob == "function" ? new Blob([m]) : Buffer.from(m) : m;
  }
  function h(m, E, C) {
    let I = m;
    if (m && !C && typeof m == "object") {
      if (l.endsWith(E, "{}"))
        E = i ? E : E.slice(0, -2), m = JSON.stringify(m);
      else if (l.isArray(m) && vo(m) || (l.isFileList(m) || l.endsWith(E, "[]")) && (I = l.toArray(m)))
        return E = Fn(E), I.forEach(function(W, z) {
          !(l.isUndefined(W) || W === null) && r.append(
            u === !0 ? ln([E], z, c) : u === null ? E : E + "[]",
            p(W)
          );
        }), !1;
    }
    return Vr(m) ? !0 : (r.append(ln(C, E, c), p(m)), !1);
  }
  const d = [], y = Object.assign(Ro, {
    defaultVisitor: h,
    convertValue: p,
    isVisitable: Vr
  });
  function w(m, E) {
    if (!l.isUndefined(m)) {
      if (d.indexOf(m) !== -1)
        throw Error("Circular reference detected in " + E.join("."));
      d.push(m), l.forEach(m, function(C, I) {
        (!(l.isUndefined(C) || C === null) && a.call(
          r,
          C,
          l.isString(I) ? I.trim() : I,
          E,
          y
        )) === !0 && w(C, E ? E.concat(I) : [I]);
      }), d.pop();
    }
  }
  if (!l.isObject(e))
    throw new TypeError("data must be an object");
  return w(e), r;
}
function dn(e) {
  const r = {
    "!": "%21",
    "'": "%27",
    "(": "%28",
    ")": "%29",
    "~": "%7E",
    "%20": "+",
    "%00": "\0"
  };
  return encodeURIComponent(e).replace(/[!'()~]|%20|%00/g, function(o) {
    return r[o];
  });
}
function rn(e, r) {
  this._pairs = [], e && $e(e, this, r);
}
const Dn = rn.prototype;
Dn.append = function(e, r) {
  this._pairs.push([e, r]);
};
Dn.toString = function(e) {
  const r = e ? function(o) {
    return e.call(this, o, dn);
  } : dn;
  return this._pairs.map(function(o) {
    return r(o[0]) + "=" + r(o[1]);
  }, "").join("&");
};
function jo(e) {
  return encodeURIComponent(e).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
}
function Un(e, r, o) {
  if (!r)
    return e;
  const i = o && o.encode || jo, a = o && o.serialize;
  let c;
  if (a ? c = a(r, o) : c = l.isURLSearchParams(r) ? r.toString() : new rn(r, o).toString(i), c) {
    const u = e.indexOf("#");
    u !== -1 && (e = e.slice(0, u)), e += (e.indexOf("?") === -1 ? "?" : "&") + c;
  }
  return e;
}
class Co {
  constructor() {
    this.handlers = [];
  }
  use(r, o, i) {
    return this.handlers.push({
      fulfilled: r,
      rejected: o,
      synchronous: i ? i.synchronous : !1,
      runWhen: i ? i.runWhen : null
    }), this.handlers.length - 1;
  }
  eject(r) {
    this.handlers[r] && (this.handlers[r] = null);
  }
  clear() {
    this.handlers && (this.handlers = []);
  }
  forEach(r) {
    l.forEach(this.handlers, function(o) {
      o !== null && r(o);
    });
  }
}
const hn = Co, Bn = {
  silentJSONParsing: !0,
  forcedJSONParsing: !0,
  clarifyTimeoutError: !1
}, xo = typeof URLSearchParams < "u" ? URLSearchParams : rn, Po = FormData, No = (() => {
  let e;
  return typeof navigator < "u" && ((e = navigator.product) === "ReactNative" || e === "NativeScript" || e === "NS") ? !1 : typeof window < "u" && typeof document < "u";
})(), Lo = (() => typeof WorkerGlobalScope < "u" && self instanceof WorkerGlobalScope && typeof self.importScripts == "function")(), Y = {
  isBrowser: !0,
  classes: {
    URLSearchParams: xo,
    FormData: Po,
    Blob
  },
  isStandardBrowserEnv: No,
  isStandardBrowserWebWorkerEnv: Lo,
  protocols: ["http", "https", "file", "blob", "url", "data"]
};
function Fo(e, r) {
  return $e(e, new Y.classes.URLSearchParams(), Object.assign({
    visitor: function(o, i, a, c) {
      return Y.isNode && l.isBuffer(o) ? (this.append(i, o.toString("base64")), !1) : c.defaultVisitor.apply(this, arguments);
    }
  }, r));
}
function Do(e) {
  return l.matchAll(/\w+|\[(\w*)]/g, e).map((r) => r[0] === "[]" ? "" : r[1] || r[0]);
}
function Uo(e) {
  const r = {}, o = Object.keys(e);
  let i;
  const a = o.length;
  let c;
  for (i = 0; i < a; i++)
    c = o[i], r[c] = e[c];
  return r;
}
function In(e) {
  function r(o, i, a, c) {
    let u = o[c++];
    const g = Number.isFinite(+u), p = c >= o.length;
    return u = !u && l.isArray(a) ? a.length : u, p ? (l.hasOwnProp(a, u) ? a[u] = [a[u], i] : a[u] = i, !g) : ((!a[u] || !l.isObject(a[u])) && (a[u] = []), r(o, i, a[u], c) && l.isArray(a[u]) && (a[u] = Uo(a[u])), !g);
  }
  if (l.isFormData(e) && l.isFunction(e.entries)) {
    const o = {};
    return l.forEachEntry(e, (i, a) => {
      r(Do(i), a, o, 0);
    }), o;
  }
  return null;
}
const Bo = {
  "Content-Type": void 0
};
function Io(e, r, o) {
  if (l.isString(e))
    try {
      return (r || JSON.parse)(e), l.trim(e);
    } catch (i) {
      if (i.name !== "SyntaxError")
        throw i;
    }
  return (o || JSON.stringify)(e);
}
const Je = {
  transitional: Bn,
  adapter: ["xhr", "http"],
  transformRequest: [function(e, r) {
    const o = r.getContentType() || "", i = o.indexOf("application/json") > -1, a = l.isObject(e);
    if (a && l.isHTMLForm(e) && (e = new FormData(e)), l.isFormData(e))
      return i && i ? JSON.stringify(In(e)) : e;
    if (l.isArrayBuffer(e) || l.isBuffer(e) || l.isStream(e) || l.isFile(e) || l.isBlob(e))
      return e;
    if (l.isArrayBufferView(e))
      return e.buffer;
    if (l.isURLSearchParams(e))
      return r.setContentType("application/x-www-form-urlencoded;charset=utf-8", !1), e.toString();
    let c;
    if (a) {
      if (o.indexOf("application/x-www-form-urlencoded") > -1)
        return Fo(e, this.formSerializer).toString();
      if ((c = l.isFileList(e)) || o.indexOf("multipart/form-data") > -1) {
        const u = this.env && this.env.FormData;
        return $e(
          c ? { "files[]": e } : e,
          u && new u(),
          this.formSerializer
        );
      }
    }
    return a || i ? (r.setContentType("application/json", !1), Io(e)) : e;
  }],
  transformResponse: [function(e) {
    const r = this.transitional || Je.transitional, o = r && r.forcedJSONParsing, i = this.responseType === "json";
    if (e && l.isString(e) && (o && !this.responseType || i)) {
      const a = !(r && r.silentJSONParsing) && i;
      try {
        return JSON.parse(e);
      } catch (c) {
        if (a)
          throw c.name === "SyntaxError" ? A.from(c, A.ERR_BAD_RESPONSE, this, null, this.response) : c;
      }
    }
    return e;
  }],
  timeout: 0,
  xsrfCookieName: "XSRF-TOKEN",
  xsrfHeaderName: "X-XSRF-TOKEN",
  maxContentLength: -1,
  maxBodyLength: -1,
  env: {
    FormData: Y.classes.FormData,
    Blob: Y.classes.Blob
  },
  validateStatus: function(e) {
    return e >= 200 && e < 300;
  },
  headers: {
    common: {
      Accept: "application/json, text/plain, */*"
    }
  }
};
l.forEach(["delete", "get", "head"], function(e) {
  Je.headers[e] = {};
});
l.forEach(["post", "put", "patch"], function(e) {
  Je.headers[e] = l.merge(Bo);
});
const nn = Je, Mo = l.toObjectSet([
  "age",
  "authorization",
  "content-length",
  "content-type",
  "etag",
  "expires",
  "from",
  "host",
  "if-modified-since",
  "if-unmodified-since",
  "last-modified",
  "location",
  "max-forwards",
  "proxy-authorization",
  "referer",
  "retry-after",
  "user-agent"
]), Ho = (e) => {
  const r = {};
  let o, i, a;
  return e && e.split(`
`).forEach(function(c) {
    a = c.indexOf(":"), o = c.substring(0, a).trim().toLowerCase(), i = c.substring(a + 1).trim(), !(!o || r[o] && Mo[o]) && (o === "set-cookie" ? r[o] ? r[o].push(i) : r[o] = [i] : r[o] = r[o] ? r[o] + ", " + i : i);
  }), r;
}, pn = Symbol("internals");
function ne(e) {
  return e && String(e).trim().toLowerCase();
}
function He(e) {
  return e === !1 || e == null ? e : l.isArray(e) ? e.map(He) : String(e);
}
function qo(e) {
  const r = /* @__PURE__ */ Object.create(null), o = /([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;
  let i;
  for (; i = o.exec(e); )
    r[i[1]] = i[2];
  return r;
}
function zo(e) {
  return /^[-_a-zA-Z]+$/.test(e.trim());
}
function Gr(e, r, o, i) {
  if (l.isFunction(i))
    return i.call(this, r, o);
  if (l.isString(r)) {
    if (l.isString(i))
      return r.indexOf(i) !== -1;
    if (l.isRegExp(i))
      return i.test(r);
  }
}
function Go(e) {
  return e.trim().toLowerCase().replace(/([a-z\d])(\w*)/g, (r, o, i) => o.toUpperCase() + i);
}
function Ko(e, r) {
  const o = l.toCamelCase(" " + r);
  ["get", "set", "has"].forEach((i) => {
    Object.defineProperty(e, i + o, {
      value: function(a, c, u) {
        return this[i].call(this, r, a, c, u);
      },
      configurable: !0
    });
  });
}
class We {
  constructor(r) {
    r && this.set(r);
  }
  set(r, o, i) {
    const a = this;
    function c(g, p, h) {
      const d = ne(p);
      if (!d)
        throw new Error("header name must be a non-empty string");
      const y = l.findKey(a, d);
      (!y || a[y] === void 0 || h === !0 || h === void 0 && a[y] !== !1) && (a[y || p] = He(g));
    }
    const u = (g, p) => l.forEach(g, (h, d) => c(h, d, p));
    return l.isPlainObject(r) || r instanceof this.constructor ? u(r, o) : l.isString(r) && (r = r.trim()) && !zo(r) ? u(Ho(r), o) : r != null && c(o, r, i), this;
  }
  get(r, o) {
    if (r = ne(r), r) {
      const i = l.findKey(this, r);
      if (i) {
        const a = this[i];
        if (!o)
          return a;
        if (o === !0)
          return qo(a);
        if (l.isFunction(o))
          return o.call(this, a, i);
        if (l.isRegExp(o))
          return o.exec(a);
        throw new TypeError("parser must be boolean|regexp|function");
      }
    }
  }
  has(r, o) {
    if (r = ne(r), r) {
      const i = l.findKey(this, r);
      return !!(i && this[i] !== void 0 && (!o || Gr(this, this[i], i, o)));
    }
    return !1;
  }
  delete(r, o) {
    const i = this;
    let a = !1;
    function c(u) {
      if (u = ne(u), u) {
        const g = l.findKey(i, u);
        g && (!o || Gr(i, i[g], g, o)) && (delete i[g], a = !0);
      }
    }
    return l.isArray(r) ? r.forEach(c) : c(r), a;
  }
  clear(r) {
    const o = Object.keys(this);
    let i = o.length, a = !1;
    for (; i--; ) {
      const c = o[i];
      (!r || Gr(this, this[c], c, r)) && (delete this[c], a = !0);
    }
    return a;
  }
  normalize(r) {
    const o = this, i = {};
    return l.forEach(this, (a, c) => {
      const u = l.findKey(i, c);
      if (u) {
        o[u] = He(a), delete o[c];
        return;
      }
      const g = r ? Go(c) : String(c).trim();
      g !== c && delete o[c], o[g] = He(a), i[g] = !0;
    }), this;
  }
  concat(...r) {
    return this.constructor.concat(this, ...r);
  }
  toJSON(r) {
    const o = /* @__PURE__ */ Object.create(null);
    return l.forEach(this, (i, a) => {
      i != null && i !== !1 && (o[a] = r && l.isArray(i) ? i.join(", ") : i);
    }), o;
  }
  [Symbol.iterator]() {
    return Object.entries(this.toJSON())[Symbol.iterator]();
  }
  toString() {
    return Object.entries(this.toJSON()).map(([r, o]) => r + ": " + o).join(`
`);
  }
  get [Symbol.toStringTag]() {
    return "AxiosHeaders";
  }
  static from(r) {
    return r instanceof this ? r : new this(r);
  }
  static concat(r, ...o) {
    const i = new this(r);
    return o.forEach((a) => i.set(a)), i;
  }
  static accessor(r) {
    const o = (this[pn] = this[pn] = {
      accessors: {}
    }).accessors, i = this.prototype;
    function a(c) {
      const u = ne(c);
      o[u] || (Ko(i, c), o[u] = !0);
    }
    return l.isArray(r) ? r.forEach(a) : a(r), this;
  }
}
We.accessor(["Content-Type", "Content-Length", "Accept", "Accept-Encoding", "User-Agent", "Authorization"]);
l.freezeMethods(We.prototype);
l.freezeMethods(We);
const ot = We;
function Kr(e, r) {
  const o = this || nn, i = r || o, a = ot.from(i.headers);
  let c = i.data;
  return l.forEach(e, function(u) {
    c = u.call(o, c, a.normalize(), r ? r.status : void 0);
  }), a.normalize(), c;
}
function Mn(e) {
  return !!(e && e.__CANCEL__);
}
function se(e, r, o) {
  A.call(this, e != null ? e : "canceled", A.ERR_CANCELED, r, o), this.name = "CanceledError";
}
l.inherits(se, A, {
  __CANCEL__: !0
});
function $o(e, r, o) {
  const i = o.config.validateStatus;
  !o.status || !i || i(o.status) ? e(o) : r(new A(
    "Request failed with status code " + o.status,
    [A.ERR_BAD_REQUEST, A.ERR_BAD_RESPONSE][Math.floor(o.status / 100) - 4],
    o.config,
    o.request,
    o
  ));
}
const Jo = Y.isStandardBrowserEnv ? function() {
  return {
    write: function(e, r, o, i, a, c) {
      const u = [];
      u.push(e + "=" + encodeURIComponent(r)), l.isNumber(o) && u.push("expires=" + new Date(o).toGMTString()), l.isString(i) && u.push("path=" + i), l.isString(a) && u.push("domain=" + a), c === !0 && u.push("secure"), document.cookie = u.join("; ");
    },
    read: function(e) {
      const r = document.cookie.match(new RegExp("(^|;\\s*)(" + e + ")=([^;]*)"));
      return r ? decodeURIComponent(r[3]) : null;
    },
    remove: function(e) {
      this.write(e, "", Date.now() - 864e5);
    }
  };
}() : function() {
  return {
    write: function() {
    },
    read: function() {
      return null;
    },
    remove: function() {
    }
  };
}();
function Wo(e) {
  return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(e);
}
function Vo(e, r) {
  return r ? e.replace(/\/+$/, "") + "/" + r.replace(/^\/+/, "") : e;
}
function Hn(e, r) {
  return e && !Wo(r) ? Vo(e, r) : r;
}
const Xo = Y.isStandardBrowserEnv ? function() {
  const e = /(msie|trident)/i.test(navigator.userAgent), r = document.createElement("a");
  let o;
  function i(a) {
    let c = a;
    return e && (r.setAttribute("href", c), c = r.href), r.setAttribute("href", c), {
      href: r.href,
      protocol: r.protocol ? r.protocol.replace(/:$/, "") : "",
      host: r.host,
      search: r.search ? r.search.replace(/^\?/, "") : "",
      hash: r.hash ? r.hash.replace(/^#/, "") : "",
      hostname: r.hostname,
      port: r.port,
      pathname: r.pathname.charAt(0) === "/" ? r.pathname : "/" + r.pathname
    };
  }
  return o = i(window.location.href), function(a) {
    const c = l.isString(a) ? i(a) : a;
    return c.protocol === o.protocol && c.host === o.host;
  };
}() : function() {
  return function() {
    return !0;
  };
}();
function Zo(e) {
  const r = /^([-+\w]{1,25})(:?\/\/|:)/.exec(e);
  return r && r[1] || "";
}
function Qo(e, r) {
  e = e || 10;
  const o = new Array(e), i = new Array(e);
  let a = 0, c = 0, u;
  return r = r !== void 0 ? r : 1e3, function(g) {
    const p = Date.now(), h = i[c];
    u || (u = p), o[a] = g, i[a] = p;
    let d = c, y = 0;
    for (; d !== a; )
      y += o[d++], d = d % e;
    if (a = (a + 1) % e, a === c && (c = (c + 1) % e), p - u < r)
      return;
    const w = h && p - h;
    return w ? Math.round(y * 1e3 / w) : void 0;
  };
}
function gn(e, r) {
  let o = 0;
  const i = Qo(50, 250);
  return (a) => {
    const c = a.loaded, u = a.lengthComputable ? a.total : void 0, g = c - o, p = i(g), h = c <= u;
    o = c;
    const d = {
      loaded: c,
      total: u,
      progress: u ? c / u : void 0,
      bytes: g,
      rate: p || void 0,
      estimated: p && u && h ? (u - c) / p : void 0,
      event: a
    };
    d[r ? "download" : "upload"] = !0, e(d);
  };
}
const Yo = typeof XMLHttpRequest < "u", ko = Yo && function(e) {
  return new Promise(function(r, o) {
    let i = e.data;
    const a = ot.from(e.headers).normalize(), c = e.responseType;
    let u;
    function g() {
      e.cancelToken && e.cancelToken.unsubscribe(u), e.signal && e.signal.removeEventListener("abort", u);
    }
    l.isFormData(i) && (Y.isStandardBrowserEnv || Y.isStandardBrowserWebWorkerEnv) && a.setContentType(!1);
    let p = new XMLHttpRequest();
    if (e.auth) {
      const w = e.auth.username || "", m = e.auth.password ? unescape(encodeURIComponent(e.auth.password)) : "";
      a.set("Authorization", "Basic " + btoa(w + ":" + m));
    }
    const h = Hn(e.baseURL, e.url);
    p.open(e.method.toUpperCase(), Un(h, e.params, e.paramsSerializer), !0), p.timeout = e.timeout;
    function d() {
      if (!p)
        return;
      const w = ot.from(
        "getAllResponseHeaders" in p && p.getAllResponseHeaders()
      ), m = {
        data: !c || c === "text" || c === "json" ? p.responseText : p.response,
        status: p.status,
        statusText: p.statusText,
        headers: w,
        config: e,
        request: p
      };
      $o(function(E) {
        r(E), g();
      }, function(E) {
        o(E), g();
      }, m), p = null;
    }
    if ("onloadend" in p ? p.onloadend = d : p.onreadystatechange = function() {
      !p || p.readyState !== 4 || p.status === 0 && !(p.responseURL && p.responseURL.indexOf("file:") === 0) || setTimeout(d);
    }, p.onabort = function() {
      p && (o(new A("Request aborted", A.ECONNABORTED, e, p)), p = null);
    }, p.onerror = function() {
      o(new A("Network Error", A.ERR_NETWORK, e, p)), p = null;
    }, p.ontimeout = function() {
      let w = e.timeout ? "timeout of " + e.timeout + "ms exceeded" : "timeout exceeded";
      const m = e.transitional || Bn;
      e.timeoutErrorMessage && (w = e.timeoutErrorMessage), o(new A(
        w,
        m.clarifyTimeoutError ? A.ETIMEDOUT : A.ECONNABORTED,
        e,
        p
      )), p = null;
    }, Y.isStandardBrowserEnv) {
      const w = (e.withCredentials || Xo(h)) && e.xsrfCookieName && Jo.read(e.xsrfCookieName);
      w && a.set(e.xsrfHeaderName, w);
    }
    i === void 0 && a.setContentType(null), "setRequestHeader" in p && l.forEach(a.toJSON(), function(w, m) {
      p.setRequestHeader(m, w);
    }), l.isUndefined(e.withCredentials) || (p.withCredentials = !!e.withCredentials), c && c !== "json" && (p.responseType = e.responseType), typeof e.onDownloadProgress == "function" && p.addEventListener("progress", gn(e.onDownloadProgress, !0)), typeof e.onUploadProgress == "function" && p.upload && p.upload.addEventListener("progress", gn(e.onUploadProgress)), (e.cancelToken || e.signal) && (u = (w) => {
      p && (o(!w || w.type ? new se(null, e, p) : w), p.abort(), p = null);
    }, e.cancelToken && e.cancelToken.subscribe(u), e.signal && (e.signal.aborted ? u() : e.signal.addEventListener("abort", u)));
    const y = Zo(h);
    if (y && Y.protocols.indexOf(y) === -1) {
      o(new A("Unsupported protocol " + y + ":", A.ERR_BAD_REQUEST, e));
      return;
    }
    p.send(i || null);
  });
}, qe = {
  http: To,
  xhr: ko
};
l.forEach(qe, (e, r) => {
  if (e) {
    try {
      Object.defineProperty(e, "name", { value: r });
    } catch {
    }
    Object.defineProperty(e, "adapterName", { value: r });
  }
});
const ti = {
  getAdapter: (e) => {
    e = l.isArray(e) ? e : [e];
    const { length: r } = e;
    let o, i;
    for (let a = 0; a < r && (o = e[a], !(i = l.isString(o) ? qe[o.toLowerCase()] : o)); a++)
      ;
    if (!i)
      throw i === !1 ? new A(
        `Adapter ${o} is not supported by the environment`,
        "ERR_NOT_SUPPORT"
      ) : new Error(
        l.hasOwnProp(qe, o) ? `Adapter '${o}' is not available in the build` : `Unknown adapter '${o}'`
      );
    if (!l.isFunction(i))
      throw new TypeError("adapter is not a function");
    return i;
  },
  adapters: qe
};
function $r(e) {
  if (e.cancelToken && e.cancelToken.throwIfRequested(), e.signal && e.signal.aborted)
    throw new se(null, e);
}
function yn(e) {
  return $r(e), e.headers = ot.from(e.headers), e.data = Kr.call(
    e,
    e.transformRequest
  ), ["post", "put", "patch"].indexOf(e.method) !== -1 && e.headers.setContentType("application/x-www-form-urlencoded", !1), ti.getAdapter(e.adapter || nn.adapter)(e).then(function(r) {
    return $r(e), r.data = Kr.call(
      e,
      e.transformResponse,
      r
    ), r.headers = ot.from(r.headers), r;
  }, function(r) {
    return Mn(r) || ($r(e), r && r.response && (r.response.data = Kr.call(
      e,
      e.transformResponse,
      r.response
    ), r.response.headers = ot.from(r.response.headers))), Promise.reject(r);
  });
}
const mn = (e) => e instanceof ot ? e.toJSON() : e;
function Pt(e, r) {
  r = r || {};
  const o = {};
  function i(h, d, y) {
    return l.isPlainObject(h) && l.isPlainObject(d) ? l.merge.call({ caseless: y }, h, d) : l.isPlainObject(d) ? l.merge({}, d) : l.isArray(d) ? d.slice() : d;
  }
  function a(h, d, y) {
    if (l.isUndefined(d)) {
      if (!l.isUndefined(h))
        return i(void 0, h, y);
    } else
      return i(h, d, y);
  }
  function c(h, d) {
    if (!l.isUndefined(d))
      return i(void 0, d);
  }
  function u(h, d) {
    if (l.isUndefined(d)) {
      if (!l.isUndefined(h))
        return i(void 0, h);
    } else
      return i(void 0, d);
  }
  function g(h, d, y) {
    if (y in r)
      return i(h, d);
    if (y in e)
      return i(void 0, h);
  }
  const p = {
    url: c,
    method: c,
    data: c,
    baseURL: u,
    transformRequest: u,
    transformResponse: u,
    paramsSerializer: u,
    timeout: u,
    timeoutMessage: u,
    withCredentials: u,
    adapter: u,
    responseType: u,
    xsrfCookieName: u,
    xsrfHeaderName: u,
    onUploadProgress: u,
    onDownloadProgress: u,
    decompress: u,
    maxContentLength: u,
    maxBodyLength: u,
    beforeRedirect: u,
    transport: u,
    httpAgent: u,
    httpsAgent: u,
    cancelToken: u,
    socketPath: u,
    responseEncoding: u,
    validateStatus: g,
    headers: (h, d) => a(mn(h), mn(d), !0)
  };
  return l.forEach(Object.keys(e).concat(Object.keys(r)), function(h) {
    const d = p[h] || a, y = d(e[h], r[h], h);
    l.isUndefined(y) && d !== g || (o[h] = y);
  }), o;
}
const qn = "1.3.2", on = {};
["object", "boolean", "number", "function", "string", "symbol"].forEach((e, r) => {
  on[e] = function(o) {
    return typeof o === e || "a" + (r < 1 ? "n " : " ") + e;
  };
});
const bn = {};
on.transitional = function(e, r, o) {
  function i(a, c) {
    return "[Axios v" + qn + "] Transitional option '" + a + "'" + c + (o ? ". " + o : "");
  }
  return (a, c, u) => {
    if (e === !1)
      throw new A(
        i(c, " has been removed" + (r ? " in " + r : "")),
        A.ERR_DEPRECATED
      );
    return r && !bn[c] && (bn[c] = !0, console.warn(
      i(
        c,
        " has been deprecated since v" + r + " and will be removed in the near future"
      )
    )), e ? e(a, c, u) : !0;
  };
};
function ei(e, r, o) {
  if (typeof e != "object")
    throw new A("options must be an object", A.ERR_BAD_OPTION_VALUE);
  const i = Object.keys(e);
  let a = i.length;
  for (; a-- > 0; ) {
    const c = i[a], u = r[c];
    if (u) {
      const g = e[c], p = g === void 0 || u(g, c, e);
      if (p !== !0)
        throw new A("option " + c + " must be " + p, A.ERR_BAD_OPTION_VALUE);
      continue;
    }
    if (o !== !0)
      throw new A("Unknown option " + c, A.ERR_BAD_OPTION);
  }
}
const Xr = {
  assertOptions: ei,
  validators: on
}, ct = Xr.validators;
let Ge = class {
  constructor(e) {
    this.defaults = e, this.interceptors = {
      request: new hn(),
      response: new hn()
    };
  }
  request(e, r) {
    typeof e == "string" ? (r = r || {}, r.url = e) : r = e || {}, r = Pt(this.defaults, r);
    const { transitional: o, paramsSerializer: i, headers: a } = r;
    o !== void 0 && Xr.assertOptions(o, {
      silentJSONParsing: ct.transitional(ct.boolean),
      forcedJSONParsing: ct.transitional(ct.boolean),
      clarifyTimeoutError: ct.transitional(ct.boolean)
    }, !1), i !== void 0 && Xr.assertOptions(i, {
      encode: ct.function,
      serialize: ct.function
    }, !0), r.method = (r.method || this.defaults.method || "get").toLowerCase();
    let c;
    c = a && l.merge(
      a.common,
      a[r.method]
    ), c && l.forEach(
      ["delete", "get", "head", "post", "put", "patch", "common"],
      (m) => {
        delete a[m];
      }
    ), r.headers = ot.concat(c, a);
    const u = [];
    let g = !0;
    this.interceptors.request.forEach(function(m) {
      typeof m.runWhen == "function" && m.runWhen(r) === !1 || (g = g && m.synchronous, u.unshift(m.fulfilled, m.rejected));
    });
    const p = [];
    this.interceptors.response.forEach(function(m) {
      p.push(m.fulfilled, m.rejected);
    });
    let h, d = 0, y;
    if (!g) {
      const m = [yn.bind(this), void 0];
      for (m.unshift.apply(m, u), m.push.apply(m, p), y = m.length, h = Promise.resolve(r); d < y; )
        h = h.then(m[d++], m[d++]);
      return h;
    }
    y = u.length;
    let w = r;
    for (d = 0; d < y; ) {
      const m = u[d++], E = u[d++];
      try {
        w = m(w);
      } catch (C) {
        E.call(this, C);
        break;
      }
    }
    try {
      h = yn.call(this, w);
    } catch (m) {
      return Promise.reject(m);
    }
    for (d = 0, y = p.length; d < y; )
      h = h.then(p[d++], p[d++]);
    return h;
  }
  getUri(e) {
    e = Pt(this.defaults, e);
    const r = Hn(e.baseURL, e.url);
    return Un(r, e.params, e.paramsSerializer);
  }
};
l.forEach(["delete", "get", "head", "options"], function(e) {
  Ge.prototype[e] = function(r, o) {
    return this.request(Pt(o || {}, {
      method: e,
      url: r,
      data: (o || {}).data
    }));
  };
});
l.forEach(["post", "put", "patch"], function(e) {
  function r(o) {
    return function(i, a, c) {
      return this.request(Pt(c || {}, {
        method: e,
        headers: o ? {
          "Content-Type": "multipart/form-data"
        } : {},
        url: i,
        data: a
      }));
    };
  }
  Ge.prototype[e] = r(), Ge.prototype[e + "Form"] = r(!0);
});
const ze = Ge;
class sn {
  constructor(r) {
    if (typeof r != "function")
      throw new TypeError("executor must be a function.");
    let o;
    this.promise = new Promise(function(a) {
      o = a;
    });
    const i = this;
    this.promise.then((a) => {
      if (!i._listeners)
        return;
      let c = i._listeners.length;
      for (; c-- > 0; )
        i._listeners[c](a);
      i._listeners = null;
    }), this.promise.then = (a) => {
      let c;
      const u = new Promise((g) => {
        i.subscribe(g), c = g;
      }).then(a);
      return u.cancel = function() {
        i.unsubscribe(c);
      }, u;
    }, r(function(a, c, u) {
      i.reason || (i.reason = new se(a, c, u), o(i.reason));
    });
  }
  throwIfRequested() {
    if (this.reason)
      throw this.reason;
  }
  subscribe(r) {
    if (this.reason) {
      r(this.reason);
      return;
    }
    this._listeners ? this._listeners.push(r) : this._listeners = [r];
  }
  unsubscribe(r) {
    if (!this._listeners)
      return;
    const o = this._listeners.indexOf(r);
    o !== -1 && this._listeners.splice(o, 1);
  }
  static source() {
    let r;
    return {
      token: new sn(function(o) {
        r = o;
      }),
      cancel: r
    };
  }
}
const ri = sn;
function ni(e) {
  return function(r) {
    return e.apply(null, r);
  };
}
function oi(e) {
  return l.isObject(e) && e.isAxiosError === !0;
}
const Zr = {
  Continue: 100,
  SwitchingProtocols: 101,
  Processing: 102,
  EarlyHints: 103,
  Ok: 200,
  Created: 201,
  Accepted: 202,
  NonAuthoritativeInformation: 203,
  NoContent: 204,
  ResetContent: 205,
  PartialContent: 206,
  MultiStatus: 207,
  AlreadyReported: 208,
  ImUsed: 226,
  MultipleChoices: 300,
  MovedPermanently: 301,
  Found: 302,
  SeeOther: 303,
  NotModified: 304,
  UseProxy: 305,
  Unused: 306,
  TemporaryRedirect: 307,
  PermanentRedirect: 308,
  BadRequest: 400,
  Unauthorized: 401,
  PaymentRequired: 402,
  Forbidden: 403,
  NotFound: 404,
  MethodNotAllowed: 405,
  NotAcceptable: 406,
  ProxyAuthenticationRequired: 407,
  RequestTimeout: 408,
  Conflict: 409,
  Gone: 410,
  LengthRequired: 411,
  PreconditionFailed: 412,
  PayloadTooLarge: 413,
  UriTooLong: 414,
  UnsupportedMediaType: 415,
  RangeNotSatisfiable: 416,
  ExpectationFailed: 417,
  ImATeapot: 418,
  MisdirectedRequest: 421,
  UnprocessableEntity: 422,
  Locked: 423,
  FailedDependency: 424,
  TooEarly: 425,
  UpgradeRequired: 426,
  PreconditionRequired: 428,
  TooManyRequests: 429,
  RequestHeaderFieldsTooLarge: 431,
  UnavailableForLegalReasons: 451,
  InternalServerError: 500,
  NotImplemented: 501,
  BadGateway: 502,
  ServiceUnavailable: 503,
  GatewayTimeout: 504,
  HttpVersionNotSupported: 505,
  VariantAlsoNegotiates: 506,
  InsufficientStorage: 507,
  LoopDetected: 508,
  NotExtended: 510,
  NetworkAuthenticationRequired: 511
};
Object.entries(Zr).forEach(([e, r]) => {
  Zr[r] = e;
});
const ii = Zr;
function zn(e) {
  const r = new ze(e), o = Sn(ze.prototype.request, r);
  return l.extend(o, ze.prototype, r, { allOwnKeys: !0 }), l.extend(o, r, null, { allOwnKeys: !0 }), o.create = function(i) {
    return zn(Pt(e, i));
  }, o;
}
const P = zn(nn);
P.Axios = ze;
P.CanceledError = se;
P.CancelToken = ri;
P.isCancel = Mn;
P.VERSION = qn;
P.toFormData = $e;
P.AxiosError = A;
P.Cancel = P.CanceledError;
P.all = function(e) {
  return Promise.all(e);
};
P.spread = ni;
P.isAxiosError = oi;
P.mergeConfig = Pt;
P.AxiosHeaders = ot;
P.formToJSON = (e) => In(l.isHTMLForm(e) ? new FormData(e) : e);
P.HttpStatusCode = ii;
P.default = P;
const si = P;
let Be = si.create();
const an = {
  use(e) {
    return Be = e, console.log(Be), console.log("i am used"), an;
  },
  axios() {
    return console.log(Be), console.log("i am called"), Be;
  }
};
class ai {
  visit(r, {
    method: o = "get",
    data: i = {},
    headers: a = {},
    forceFormData: c = !1,
    onFinish: u = () => {
    },
    onSuccess: g = () => {
    },
    onErrors: p = () => {
    },
    onError: h = () => {
    },
    instance: d = void 0
  } = {}) {
    (Jr(i) || c) && !(i instanceof FormData) && (i = wn(i));
    const y = d == null ? void 0 : d.defaults;
    let w = typeof r == "string" ? $n(r, y == null ? void 0 : y.baseURL) : r;
    const m = Jn(w).href;
    d = d != null ? d : an.axios();
    const E = d.request({
      url: m,
      ...y,
      method: o,
      data: o === "get" ? {} : i,
      params: o === "get" ? i : {},
      headers: {
        Accept: "application/json",
        "X-Requested-With": "XMLHttpRequest",
        "X-Formjs": !0,
        ...a
      }
    });
    this.handleResponse(E, {
      onSuccess: g,
      onErrors: p,
      onError: h,
      onFinish: u
    });
  }
  get(r, o = {}, i = {}) {
    return this.visit(r, { ...i, method: "get", data: o });
  }
  post(r, o = {}, i = {}) {
    return this.visit(r, { ...i, method: "post", data: o });
  }
  put(r, o = {}, i = {}) {
    return this.visit(r, { ...i, method: "put", data: o });
  }
  delete(r, o = {}) {
    return this.visit(r, { ...o, method: "delete" });
  }
  call(r, o = {}, i = {}) {
    const a = r(o);
    this.handleResponse(a, i);
  }
  handleResponse(r, {
    onSuccess: o = () => {
    },
    onErrors: i = () => {
    },
    onError: a = () => {
    },
    onFinish: c = () => {
    }
  }) {
    r.then((u) => o(u)).catch((u) => {
      var g, p;
      if (((g = u.response) == null ? void 0 : g.status) === 422) {
        const h = {}, d = ((p = u.response.data) == null ? void 0 : p.errors) || {};
        if (Object.keys(d).length > 0)
          return Object.keys(d).forEach((y) => {
            h[y] = d[y][0];
          }), i(h);
      }
      return a(u);
    }).then(() => c()).catch((u) => Promise.reject(u));
  }
}
const _n = new ai();
var ut = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {}, Qr = { exports: {} };
(function(e, r) {
  var o = 200, i = "__lodash_hash_undefined__", a = 9007199254740991, c = "[object Arguments]", u = "[object Array]", g = "[object Boolean]", p = "[object Date]", h = "[object Error]", d = "[object Function]", y = "[object GeneratorFunction]", w = "[object Map]", m = "[object Number]", E = "[object Object]", C = "[object Promise]", I = "[object RegExp]", W = "[object Set]", z = "[object String]", Lt = "[object Symbol]", Ft = "[object WeakMap]", Dt = "[object ArrayBuffer]", k = "[object DataView]", Ut = "[object Float32Array]", ae = "[object Float64Array]", ce = "[object Int8Array]", _t = "[object Int16Array]", Bt = "[object Int32Array]", lt = "[object Uint8Array]", ue = "[object Uint8ClampedArray]", fe = "[object Uint16Array]", le = "[object Uint32Array]", Ve = /[\\^$.*+?()[\]{}|]/g, Xe = /\w*$/, Ze = /^\[object .+?Constructor\]$/, Qe = /^(?:0|[1-9]\d*)$/, v = {};
  v[c] = v[u] = v[Dt] = v[k] = v[g] = v[p] = v[Ut] = v[ae] = v[ce] = v[_t] = v[Bt] = v[w] = v[m] = v[E] = v[I] = v[W] = v[z] = v[Lt] = v[lt] = v[ue] = v[fe] = v[le] = !0, v[h] = v[d] = v[Ft] = !1;
  var Ye = typeof ut == "object" && ut && ut.Object === Object && ut, ke = typeof self == "object" && self && self.Object === Object && self, G = Ye || ke || Function("return this")(), de = r && !r.nodeType && r, R = de && !0 && e && !e.nodeType && e, he = R && R.exports === de;
  function tr(t, n) {
    return t.set(n[0], n[1]), t;
  }
  function K(t, n) {
    return t.add(n), t;
  }
  function pe(t, n) {
    for (var s = -1, f = t ? t.length : 0; ++s < f && n(t[s], s, t) !== !1; )
      ;
    return t;
  }
  function ge(t, n) {
    for (var s = -1, f = n.length, _ = t.length; ++s < f; )
      t[_ + s] = n[s];
    return t;
  }
  function It(t, n, s, f) {
    var _ = -1, b = t ? t.length : 0;
    for (f && b && (s = t[++_]); ++_ < b; )
      s = n(s, t[_], _, t);
    return s;
  }
  function Mt(t, n) {
    for (var s = -1, f = Array(t); ++s < t; )
      f[s] = n(s);
    return f;
  }
  function ye(t, n) {
    return t == null ? void 0 : t[n];
  }
  function Ht(t) {
    var n = !1;
    if (t != null && typeof t.toString != "function")
      try {
        n = !!(t + "");
      } catch {
      }
    return n;
  }
  function me(t) {
    var n = -1, s = Array(t.size);
    return t.forEach(function(f, _) {
      s[++n] = [_, f];
    }), s;
  }
  function qt(t, n) {
    return function(s) {
      return t(n(s));
    };
  }
  function be(t) {
    var n = -1, s = Array(t.size);
    return t.forEach(function(f) {
      s[++n] = f;
    }), s;
  }
  var er = Array.prototype, rr = Function.prototype, wt = Object.prototype, zt = G["__core-js_shared__"], _e = function() {
    var t = /[^.]+$/.exec(zt && zt.keys && zt.keys.IE_PROTO || "");
    return t ? "Symbol(src)_1." + t : "";
  }(), we = rr.toString, V = wt.hasOwnProperty, Et = wt.toString, nr = RegExp(
    "^" + we.call(V).replace(Ve, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
  ), dt = he ? G.Buffer : void 0, Ot = G.Symbol, Gt = G.Uint8Array, q = qt(Object.getPrototypeOf, Object), Ee = Object.create, Oe = wt.propertyIsEnumerable, or = er.splice, Kt = Object.getOwnPropertySymbols, St = dt ? dt.isBuffer : void 0, Se = qt(Object.keys, Object), At = J(G, "DataView"), ht = J(G, "Map"), $ = J(G, "Promise"), Tt = J(G, "Set"), $t = J(G, "WeakMap"), pt = J(Object, "create"), Jt = B(At), gt = B(ht), Wt = B($), Vt = B(Tt), Xt = B($t), st = Ot ? Ot.prototype : void 0, Ae = st ? st.valueOf : void 0;
  function tt(t) {
    var n = -1, s = t ? t.length : 0;
    for (this.clear(); ++n < s; ) {
      var f = t[n];
      this.set(f[0], f[1]);
    }
  }
  function ir() {
    this.__data__ = pt ? pt(null) : {};
  }
  function sr(t) {
    return this.has(t) && delete this.__data__[t];
  }
  function ar(t) {
    var n = this.__data__;
    if (pt) {
      var s = n[t];
      return s === i ? void 0 : s;
    }
    return V.call(n, t) ? n[t] : void 0;
  }
  function Te(t) {
    var n = this.__data__;
    return pt ? n[t] !== void 0 : V.call(n, t);
  }
  function Zt(t, n) {
    var s = this.__data__;
    return s[t] = pt && n === void 0 ? i : n, this;
  }
  tt.prototype.clear = ir, tt.prototype.delete = sr, tt.prototype.get = ar, tt.prototype.has = Te, tt.prototype.set = Zt;
  function N(t) {
    var n = -1, s = t ? t.length : 0;
    for (this.clear(); ++n < s; ) {
      var f = t[n];
      this.set(f[0], f[1]);
    }
  }
  function cr() {
    this.__data__ = [];
  }
  function ur(t) {
    var n = this.__data__, s = Rt(n, t);
    if (s < 0)
      return !1;
    var f = n.length - 1;
    return s == f ? n.pop() : or.call(n, s, 1), !0;
  }
  function fr(t) {
    var n = this.__data__, s = Rt(n, t);
    return s < 0 ? void 0 : n[s][1];
  }
  function lr(t) {
    return Rt(this.__data__, t) > -1;
  }
  function dr(t, n) {
    var s = this.__data__, f = Rt(s, t);
    return f < 0 ? s.push([t, n]) : s[f][1] = n, this;
  }
  N.prototype.clear = cr, N.prototype.delete = ur, N.prototype.get = fr, N.prototype.has = lr, N.prototype.set = dr;
  function F(t) {
    var n = -1, s = t ? t.length : 0;
    for (this.clear(); ++n < s; ) {
      var f = t[n];
      this.set(f[0], f[1]);
    }
  }
  function hr() {
    this.__data__ = {
      hash: new tt(),
      map: new (ht || N)(),
      string: new tt()
    };
  }
  function pr(t) {
    return mt(this, t).delete(t);
  }
  function gr(t) {
    return mt(this, t).get(t);
  }
  function yr(t) {
    return mt(this, t).has(t);
  }
  function mr(t, n) {
    return mt(this, t).set(t, n), this;
  }
  F.prototype.clear = hr, F.prototype.delete = pr, F.prototype.get = gr, F.prototype.has = yr, F.prototype.set = mr;
  function M(t) {
    this.__data__ = new N(t);
  }
  function br() {
    this.__data__ = new N();
  }
  function _r(t) {
    return this.__data__.delete(t);
  }
  function wr(t) {
    return this.__data__.get(t);
  }
  function Er(t) {
    return this.__data__.has(t);
  }
  function Or(t, n) {
    var s = this.__data__;
    if (s instanceof N) {
      var f = s.__data__;
      if (!ht || f.length < o - 1)
        return f.push([t, n]), this;
      s = this.__data__ = new F(f);
    }
    return s.set(t, n), this;
  }
  M.prototype.clear = br, M.prototype.delete = _r, M.prototype.get = wr, M.prototype.has = Er, M.prototype.set = Or;
  function vt(t, n) {
    var s = te(t) || Ct(t) ? Mt(t.length, String) : [], f = s.length, _ = !!f;
    for (var b in t)
      (n || V.call(t, b)) && !(_ && (b == "length" || Ur(b, f))) && s.push(b);
    return s;
  }
  function ve(t, n, s) {
    var f = t[n];
    (!(V.call(t, n) && Pe(f, s)) || s === void 0 && !(n in t)) && (t[n] = s);
  }
  function Rt(t, n) {
    for (var s = t.length; s--; )
      if (Pe(t[s][0], n))
        return s;
    return -1;
  }
  function X(t, n) {
    return t && kt(n, re(n), t);
  }
  function Qt(t, n, s, f, _, b, O) {
    var S;
    if (f && (S = b ? f(t, _, b, O) : f(t)), S !== void 0)
      return S;
    if (!Q(t))
      return t;
    var j = te(t);
    if (j) {
      if (S = Fr(t), !n)
        return Pr(t, S);
    } else {
      var T = rt(t), D = T == d || T == y;
      if (Ne(t))
        return jt(t, n);
      if (T == E || T == c || D && !b) {
        if (Ht(t))
          return b ? t : {};
        if (S = Z(D ? {} : t), !n)
          return Nr(t, X(S, t));
      } else {
        if (!v[T])
          return b ? t : {};
        S = Dr(t, T, Qt, n);
      }
    }
    O || (O = new M());
    var H = O.get(t);
    if (H)
      return H;
    if (O.set(t, S), !j)
      var x = s ? Lr(t) : re(t);
    return pe(x || t, function(U, L) {
      x && (L = U, U = t[L]), ve(S, L, Qt(U, n, s, f, L, t, O));
    }), S;
  }
  function Sr(t) {
    return Q(t) ? Ee(t) : {};
  }
  function Ar(t, n, s) {
    var f = n(t);
    return te(t) ? f : ge(f, s(t));
  }
  function Tr(t) {
    return Et.call(t);
  }
  function vr(t) {
    if (!Q(t) || Ir(t))
      return !1;
    var n = ee(t) || Ht(t) ? nr : Ze;
    return n.test(B(t));
  }
  function Rr(t) {
    if (!Ce(t))
      return Se(t);
    var n = [];
    for (var s in Object(t))
      V.call(t, s) && s != "constructor" && n.push(s);
    return n;
  }
  function jt(t, n) {
    if (n)
      return t.slice();
    var s = new t.constructor(t.length);
    return t.copy(s), s;
  }
  function Yt(t) {
    var n = new t.constructor(t.byteLength);
    return new Gt(n).set(new Gt(t)), n;
  }
  function yt(t, n) {
    var s = n ? Yt(t.buffer) : t.buffer;
    return new t.constructor(s, t.byteOffset, t.byteLength);
  }
  function Re(t, n, s) {
    var f = n ? s(me(t), !0) : me(t);
    return It(f, tr, new t.constructor());
  }
  function je(t) {
    var n = new t.constructor(t.source, Xe.exec(t));
    return n.lastIndex = t.lastIndex, n;
  }
  function jr(t, n, s) {
    var f = n ? s(be(t), !0) : be(t);
    return It(f, K, new t.constructor());
  }
  function Cr(t) {
    return Ae ? Object(Ae.call(t)) : {};
  }
  function xr(t, n) {
    var s = n ? Yt(t.buffer) : t.buffer;
    return new t.constructor(s, t.byteOffset, t.length);
  }
  function Pr(t, n) {
    var s = -1, f = t.length;
    for (n || (n = Array(f)); ++s < f; )
      n[s] = t[s];
    return n;
  }
  function kt(t, n, s, f) {
    s || (s = {});
    for (var _ = -1, b = n.length; ++_ < b; ) {
      var O = n[_], S = f ? f(s[O], t[O], O, s, t) : void 0;
      ve(s, O, S === void 0 ? t[O] : S);
    }
    return s;
  }
  function Nr(t, n) {
    return kt(t, et(t), n);
  }
  function Lr(t) {
    return Ar(t, re, et);
  }
  function mt(t, n) {
    var s = t.__data__;
    return Br(n) ? s[typeof n == "string" ? "string" : "hash"] : s.map;
  }
  function J(t, n) {
    var s = ye(t, n);
    return vr(s) ? s : void 0;
  }
  var et = Kt ? qt(Kt, Object) : Hr, rt = Tr;
  (At && rt(new At(new ArrayBuffer(1))) != k || ht && rt(new ht()) != w || $ && rt($.resolve()) != C || Tt && rt(new Tt()) != W || $t && rt(new $t()) != Ft) && (rt = function(t) {
    var n = Et.call(t), s = n == E ? t.constructor : void 0, f = s ? B(s) : void 0;
    if (f)
      switch (f) {
        case Jt:
          return k;
        case gt:
          return w;
        case Wt:
          return C;
        case Vt:
          return W;
        case Xt:
          return Ft;
      }
    return n;
  });
  function Fr(t) {
    var n = t.length, s = t.constructor(n);
    return n && typeof t[0] == "string" && V.call(t, "index") && (s.index = t.index, s.input = t.input), s;
  }
  function Z(t) {
    return typeof t.constructor == "function" && !Ce(t) ? Sr(q(t)) : {};
  }
  function Dr(t, n, s, f) {
    var _ = t.constructor;
    switch (n) {
      case Dt:
        return Yt(t);
      case g:
      case p:
        return new _(+t);
      case k:
        return yt(t, f);
      case Ut:
      case ae:
      case ce:
      case _t:
      case Bt:
      case lt:
      case ue:
      case fe:
      case le:
        return xr(t, f);
      case w:
        return Re(t, f, s);
      case m:
      case z:
        return new _(t);
      case I:
        return je(t);
      case W:
        return jr(t, f, s);
      case Lt:
        return Cr(t);
    }
  }
  function Ur(t, n) {
    return n = n == null ? a : n, !!n && (typeof t == "number" || Qe.test(t)) && t > -1 && t % 1 == 0 && t < n;
  }
  function Br(t) {
    var n = typeof t;
    return n == "string" || n == "number" || n == "symbol" || n == "boolean" ? t !== "__proto__" : t === null;
  }
  function Ir(t) {
    return !!_e && _e in t;
  }
  function Ce(t) {
    var n = t && t.constructor, s = typeof n == "function" && n.prototype || wt;
    return t === s;
  }
  function B(t) {
    if (t != null) {
      try {
        return we.call(t);
      } catch {
      }
      try {
        return t + "";
      } catch {
      }
    }
    return "";
  }
  function xe(t) {
    return Qt(t, !0, !0);
  }
  function Pe(t, n) {
    return t === n || t !== t && n !== n;
  }
  function Ct(t) {
    return Mr(t) && V.call(t, "callee") && (!Oe.call(t, "callee") || Et.call(t) == c);
  }
  var te = Array.isArray;
  function xt(t) {
    return t != null && Le(t.length) && !ee(t);
  }
  function Mr(t) {
    return Fe(t) && xt(t);
  }
  var Ne = St || qr;
  function ee(t) {
    var n = Q(t) ? Et.call(t) : "";
    return n == d || n == y;
  }
  function Le(t) {
    return typeof t == "number" && t > -1 && t % 1 == 0 && t <= a;
  }
  function Q(t) {
    var n = typeof t;
    return !!t && (n == "object" || n == "function");
  }
  function Fe(t) {
    return !!t && typeof t == "object";
  }
  function re(t) {
    return xt(t) ? vt(t) : Rr(t);
  }
  function Hr() {
    return [];
  }
  function qr() {
    return !1;
  }
  e.exports = xe;
})(Qr, Qr.exports);
const Ie = Qr.exports;
var Yr = { exports: {} };
(function(e, r) {
  var o = 200, i = "__lodash_hash_undefined__", a = 1, c = 2, u = 9007199254740991, g = "[object Arguments]", p = "[object Array]", h = "[object AsyncFunction]", d = "[object Boolean]", y = "[object Date]", w = "[object Error]", m = "[object Function]", E = "[object GeneratorFunction]", C = "[object Map]", I = "[object Number]", W = "[object Null]", z = "[object Object]", Lt = "[object Promise]", Ft = "[object Proxy]", Dt = "[object RegExp]", k = "[object Set]", Ut = "[object String]", ae = "[object Symbol]", ce = "[object Undefined]", _t = "[object WeakMap]", Bt = "[object ArrayBuffer]", lt = "[object DataView]", ue = "[object Float32Array]", fe = "[object Float64Array]", le = "[object Int8Array]", Ve = "[object Int16Array]", Xe = "[object Int32Array]", Ze = "[object Uint8Array]", Qe = "[object Uint8ClampedArray]", v = "[object Uint16Array]", Ye = "[object Uint32Array]", ke = /[\\^$.*+?()[\]{}|]/g, G = /^\[object .+?Constructor\]$/, de = /^(?:0|[1-9]\d*)$/, R = {};
  R[ue] = R[fe] = R[le] = R[Ve] = R[Xe] = R[Ze] = R[Qe] = R[v] = R[Ye] = !0, R[g] = R[p] = R[Bt] = R[d] = R[lt] = R[y] = R[w] = R[m] = R[C] = R[I] = R[z] = R[Dt] = R[k] = R[Ut] = R[_t] = !1;
  var he = typeof ut == "object" && ut && ut.Object === Object && ut, tr = typeof self == "object" && self && self.Object === Object && self, K = he || tr || Function("return this")(), pe = r && !r.nodeType && r, ge = pe && !0 && e && !e.nodeType && e, It = ge && ge.exports === pe, Mt = It && he.process, ye = function() {
    try {
      return Mt && Mt.binding && Mt.binding("util");
    } catch {
    }
  }(), Ht = ye && ye.isTypedArray;
  function me(t, n) {
    for (var s = -1, f = t == null ? 0 : t.length, _ = 0, b = []; ++s < f; ) {
      var O = t[s];
      n(O, s, t) && (b[_++] = O);
    }
    return b;
  }
  function qt(t, n) {
    for (var s = -1, f = n.length, _ = t.length; ++s < f; )
      t[_ + s] = n[s];
    return t;
  }
  function be(t, n) {
    for (var s = -1, f = t == null ? 0 : t.length; ++s < f; )
      if (n(t[s], s, t))
        return !0;
    return !1;
  }
  function er(t, n) {
    for (var s = -1, f = Array(t); ++s < t; )
      f[s] = n(s);
    return f;
  }
  function rr(t) {
    return function(n) {
      return t(n);
    };
  }
  function wt(t, n) {
    return t.has(n);
  }
  function zt(t, n) {
    return t == null ? void 0 : t[n];
  }
  function _e(t) {
    var n = -1, s = Array(t.size);
    return t.forEach(function(f, _) {
      s[++n] = [_, f];
    }), s;
  }
  function we(t, n) {
    return function(s) {
      return t(n(s));
    };
  }
  function V(t) {
    var n = -1, s = Array(t.size);
    return t.forEach(function(f) {
      s[++n] = f;
    }), s;
  }
  var Et = Array.prototype, nr = Function.prototype, dt = Object.prototype, Ot = K["__core-js_shared__"], Gt = nr.toString, q = dt.hasOwnProperty, Ee = function() {
    var t = /[^.]+$/.exec(Ot && Ot.keys && Ot.keys.IE_PROTO || "");
    return t ? "Symbol(src)_1." + t : "";
  }(), Oe = dt.toString, or = RegExp(
    "^" + Gt.call(q).replace(ke, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
  ), Kt = It ? K.Buffer : void 0, St = K.Symbol, Se = K.Uint8Array, At = dt.propertyIsEnumerable, ht = Et.splice, $ = St ? St.toStringTag : void 0, Tt = Object.getOwnPropertySymbols, $t = Kt ? Kt.isBuffer : void 0, pt = we(Object.keys, Object), Jt = et(K, "DataView"), gt = et(K, "Map"), Wt = et(K, "Promise"), Vt = et(K, "Set"), Xt = et(K, "WeakMap"), st = et(Object, "create"), Ae = B(Jt), tt = B(gt), ir = B(Wt), sr = B(Vt), ar = B(Xt), Te = St ? St.prototype : void 0, Zt = Te ? Te.valueOf : void 0;
  function N(t) {
    var n = -1, s = t == null ? 0 : t.length;
    for (this.clear(); ++n < s; ) {
      var f = t[n];
      this.set(f[0], f[1]);
    }
  }
  function cr() {
    this.__data__ = st ? st(null) : {}, this.size = 0;
  }
  function ur(t) {
    var n = this.has(t) && delete this.__data__[t];
    return this.size -= n ? 1 : 0, n;
  }
  function fr(t) {
    var n = this.__data__;
    if (st) {
      var s = n[t];
      return s === i ? void 0 : s;
    }
    return q.call(n, t) ? n[t] : void 0;
  }
  function lr(t) {
    var n = this.__data__;
    return st ? n[t] !== void 0 : q.call(n, t);
  }
  function dr(t, n) {
    var s = this.__data__;
    return this.size += this.has(t) ? 0 : 1, s[t] = st && n === void 0 ? i : n, this;
  }
  N.prototype.clear = cr, N.prototype.delete = ur, N.prototype.get = fr, N.prototype.has = lr, N.prototype.set = dr;
  function F(t) {
    var n = -1, s = t == null ? 0 : t.length;
    for (this.clear(); ++n < s; ) {
      var f = t[n];
      this.set(f[0], f[1]);
    }
  }
  function hr() {
    this.__data__ = [], this.size = 0;
  }
  function pr(t) {
    var n = this.__data__, s = jt(n, t);
    if (s < 0)
      return !1;
    var f = n.length - 1;
    return s == f ? n.pop() : ht.call(n, s, 1), --this.size, !0;
  }
  function gr(t) {
    var n = this.__data__, s = jt(n, t);
    return s < 0 ? void 0 : n[s][1];
  }
  function yr(t) {
    return jt(this.__data__, t) > -1;
  }
  function mr(t, n) {
    var s = this.__data__, f = jt(s, t);
    return f < 0 ? (++this.size, s.push([t, n])) : s[f][1] = n, this;
  }
  F.prototype.clear = hr, F.prototype.delete = pr, F.prototype.get = gr, F.prototype.has = yr, F.prototype.set = mr;
  function M(t) {
    var n = -1, s = t == null ? 0 : t.length;
    for (this.clear(); ++n < s; ) {
      var f = t[n];
      this.set(f[0], f[1]);
    }
  }
  function br() {
    this.size = 0, this.__data__ = {
      hash: new N(),
      map: new (gt || F)(),
      string: new N()
    };
  }
  function _r(t) {
    var n = J(this, t).delete(t);
    return this.size -= n ? 1 : 0, n;
  }
  function wr(t) {
    return J(this, t).get(t);
  }
  function Er(t) {
    return J(this, t).has(t);
  }
  function Or(t, n) {
    var s = J(this, t), f = s.size;
    return s.set(t, n), this.size += s.size == f ? 0 : 1, this;
  }
  M.prototype.clear = br, M.prototype.delete = _r, M.prototype.get = wr, M.prototype.has = Er, M.prototype.set = Or;
  function vt(t) {
    var n = -1, s = t == null ? 0 : t.length;
    for (this.__data__ = new M(); ++n < s; )
      this.add(t[n]);
  }
  function ve(t) {
    return this.__data__.set(t, i), this;
  }
  function Rt(t) {
    return this.__data__.has(t);
  }
  vt.prototype.add = vt.prototype.push = ve, vt.prototype.has = Rt;
  function X(t) {
    var n = this.__data__ = new F(t);
    this.size = n.size;
  }
  function Qt() {
    this.__data__ = new F(), this.size = 0;
  }
  function Sr(t) {
    var n = this.__data__, s = n.delete(t);
    return this.size = n.size, s;
  }
  function Ar(t) {
    return this.__data__.get(t);
  }
  function Tr(t) {
    return this.__data__.has(t);
  }
  function vr(t, n) {
    var s = this.__data__;
    if (s instanceof F) {
      var f = s.__data__;
      if (!gt || f.length < o - 1)
        return f.push([t, n]), this.size = ++s.size, this;
      s = this.__data__ = new M(f);
    }
    return s.set(t, n), this.size = s.size, this;
  }
  X.prototype.clear = Qt, X.prototype.delete = Sr, X.prototype.get = Ar, X.prototype.has = Tr, X.prototype.set = vr;
  function Rr(t, n) {
    var s = Ct(t), f = !s && Pe(t), _ = !s && !f && xt(t), b = !s && !f && !_ && Fe(t), O = s || f || _ || b, S = O ? er(t.length, String) : [], j = S.length;
    for (var T in t)
      (n || q.call(t, T)) && !(O && (T == "length" || _ && (T == "offset" || T == "parent") || b && (T == "buffer" || T == "byteLength" || T == "byteOffset") || Dr(T, j))) && S.push(T);
    return S;
  }
  function jt(t, n) {
    for (var s = t.length; s--; )
      if (xe(t[s][0], n))
        return s;
    return -1;
  }
  function Yt(t, n, s) {
    var f = n(t);
    return Ct(t) ? f : qt(f, s(t));
  }
  function yt(t) {
    return t == null ? t === void 0 ? ce : W : $ && $ in Object(t) ? rt(t) : Ce(t);
  }
  function Re(t) {
    return Q(t) && yt(t) == g;
  }
  function je(t, n, s, f, _) {
    return t === n ? !0 : t == null || n == null || !Q(t) && !Q(n) ? t !== t && n !== n : jr(t, n, s, f, je, _);
  }
  function jr(t, n, s, f, _, b) {
    var O = Ct(t), S = Ct(n), j = O ? p : Z(t), T = S ? p : Z(n);
    j = j == g ? z : j, T = T == g ? z : T;
    var D = j == z, H = T == z, x = j == T;
    if (x && xt(t)) {
      if (!xt(n))
        return !1;
      O = !0, D = !1;
    }
    if (x && !D)
      return b || (b = new X()), O || Fe(t) ? kt(t, n, s, f, _, b) : Nr(t, n, j, s, f, _, b);
    if (!(s & a)) {
      var U = D && q.call(t, "__wrapped__"), L = H && q.call(n, "__wrapped__");
      if (U || L) {
        var at = U ? t.value() : t, nt = L ? n.value() : n;
        return b || (b = new X()), _(at, nt, s, f, b);
      }
    }
    return x ? (b || (b = new X()), Lr(t, n, s, f, _, b)) : !1;
  }
  function Cr(t) {
    if (!Le(t) || Br(t))
      return !1;
    var n = Ne(t) ? or : G;
    return n.test(B(t));
  }
  function xr(t) {
    return Q(t) && ee(t.length) && !!R[yt(t)];
  }
  function Pr(t) {
    if (!Ir(t))
      return pt(t);
    var n = [];
    for (var s in Object(t))
      q.call(t, s) && s != "constructor" && n.push(s);
    return n;
  }
  function kt(t, n, s, f, _, b) {
    var O = s & a, S = t.length, j = n.length;
    if (S != j && !(O && j > S))
      return !1;
    var T = b.get(t);
    if (T && b.get(n))
      return T == n;
    var D = -1, H = !0, x = s & c ? new vt() : void 0;
    for (b.set(t, n), b.set(n, t); ++D < S; ) {
      var U = t[D], L = n[D];
      if (f)
        var at = O ? f(L, U, D, n, t, b) : f(U, L, D, t, n, b);
      if (at !== void 0) {
        if (at)
          continue;
        H = !1;
        break;
      }
      if (x) {
        if (!be(n, function(nt, bt) {
          if (!wt(x, bt) && (U === nt || _(U, nt, s, f, b)))
            return x.push(bt);
        })) {
          H = !1;
          break;
        }
      } else if (!(U === L || _(U, L, s, f, b))) {
        H = !1;
        break;
      }
    }
    return b.delete(t), b.delete(n), H;
  }
  function Nr(t, n, s, f, _, b, O) {
    switch (s) {
      case lt:
        if (t.byteLength != n.byteLength || t.byteOffset != n.byteOffset)
          return !1;
        t = t.buffer, n = n.buffer;
      case Bt:
        return !(t.byteLength != n.byteLength || !b(new Se(t), new Se(n)));
      case d:
      case y:
      case I:
        return xe(+t, +n);
      case w:
        return t.name == n.name && t.message == n.message;
      case Dt:
      case Ut:
        return t == n + "";
      case C:
        var S = _e;
      case k:
        var j = f & a;
        if (S || (S = V), t.size != n.size && !j)
          return !1;
        var T = O.get(t);
        if (T)
          return T == n;
        f |= c, O.set(t, n);
        var D = kt(S(t), S(n), f, _, b, O);
        return O.delete(t), D;
      case ae:
        if (Zt)
          return Zt.call(t) == Zt.call(n);
    }
    return !1;
  }
  function Lr(t, n, s, f, _, b) {
    var O = s & a, S = mt(t), j = S.length, T = mt(n), D = T.length;
    if (j != D && !O)
      return !1;
    for (var H = j; H--; ) {
      var x = S[H];
      if (!(O ? x in n : q.call(n, x)))
        return !1;
    }
    var U = b.get(t);
    if (U && b.get(n))
      return U == n;
    var L = !0;
    b.set(t, n), b.set(n, t);
    for (var at = O; ++H < j; ) {
      x = S[H];
      var nt = t[x], bt = n[x];
      if (f)
        var cn = O ? f(bt, nt, x, n, t, b) : f(nt, bt, x, t, n, b);
      if (!(cn === void 0 ? nt === bt || _(nt, bt, s, f, b) : cn)) {
        L = !1;
        break;
      }
      at || (at = x == "constructor");
    }
    if (L && !at) {
      var De = t.constructor, Ue = n.constructor;
      De != Ue && "constructor" in t && "constructor" in n && !(typeof De == "function" && De instanceof De && typeof Ue == "function" && Ue instanceof Ue) && (L = !1);
    }
    return b.delete(t), b.delete(n), L;
  }
  function mt(t) {
    return Yt(t, re, Fr);
  }
  function J(t, n) {
    var s = t.__data__;
    return Ur(n) ? s[typeof n == "string" ? "string" : "hash"] : s.map;
  }
  function et(t, n) {
    var s = zt(t, n);
    return Cr(s) ? s : void 0;
  }
  function rt(t) {
    var n = q.call(t, $), s = t[$];
    try {
      t[$] = void 0;
      var f = !0;
    } catch {
    }
    var _ = Oe.call(t);
    return f && (n ? t[$] = s : delete t[$]), _;
  }
  var Fr = Tt ? function(t) {
    return t == null ? [] : (t = Object(t), me(Tt(t), function(n) {
      return At.call(t, n);
    }));
  } : Hr, Z = yt;
  (Jt && Z(new Jt(new ArrayBuffer(1))) != lt || gt && Z(new gt()) != C || Wt && Z(Wt.resolve()) != Lt || Vt && Z(new Vt()) != k || Xt && Z(new Xt()) != _t) && (Z = function(t) {
    var n = yt(t), s = n == z ? t.constructor : void 0, f = s ? B(s) : "";
    if (f)
      switch (f) {
        case Ae:
          return lt;
        case tt:
          return C;
        case ir:
          return Lt;
        case sr:
          return k;
        case ar:
          return _t;
      }
    return n;
  });
  function Dr(t, n) {
    return n = n == null ? u : n, !!n && (typeof t == "number" || de.test(t)) && t > -1 && t % 1 == 0 && t < n;
  }
  function Ur(t) {
    var n = typeof t;
    return n == "string" || n == "number" || n == "symbol" || n == "boolean" ? t !== "__proto__" : t === null;
  }
  function Br(t) {
    return !!Ee && Ee in t;
  }
  function Ir(t) {
    var n = t && t.constructor, s = typeof n == "function" && n.prototype || dt;
    return t === s;
  }
  function Ce(t) {
    return Oe.call(t);
  }
  function B(t) {
    if (t != null) {
      try {
        return Gt.call(t);
      } catch {
      }
      try {
        return t + "";
      } catch {
      }
    }
    return "";
  }
  function xe(t, n) {
    return t === n || t !== t && n !== n;
  }
  var Pe = Re(function() {
    return arguments;
  }()) ? Re : function(t) {
    return Q(t) && q.call(t, "callee") && !At.call(t, "callee");
  }, Ct = Array.isArray;
  function te(t) {
    return t != null && ee(t.length) && !Ne(t);
  }
  var xt = $t || qr;
  function Mr(t, n) {
    return je(t, n);
  }
  function Ne(t) {
    if (!Le(t))
      return !1;
    var n = yt(t);
    return n == m || n == E || n == h || n == Ft;
  }
  function ee(t) {
    return typeof t == "number" && t > -1 && t % 1 == 0 && t <= u;
  }
  function Le(t) {
    var n = typeof t;
    return t != null && (n == "object" || n == "function");
  }
  function Q(t) {
    return t != null && typeof t == "object";
  }
  var Fe = Ht ? rr(Ht) : xr;
  function re(t) {
    return te(t) ? Rr(t) : Pr(t);
  }
  function Hr() {
    return [];
  }
  function qr() {
    return !1;
  }
  e.exports = Mr;
})(Yr, Yr.exports);
const ci = Yr.exports;
function ui(e, r) {
  let o;
  return function(...i) {
    clearTimeout(o), o = setTimeout(() => e.apply(this, i), r);
  };
}
function li(...e) {
  var p;
  const r = e[0] || {}, o = e[1] || {}, i = o.schema, a = (p = o.instance) != null ? p : an.axios();
  let c = Ie(r), u = (h) => h;
  const g = Gn({
    ...r,
    isDirty: !1,
    errors: {},
    hasErrors: !1,
    processing: !1,
    data() {
      return Object.keys(r).reduce((h, d) => (h[d] = this[d], h), {});
    },
    transform(h) {
      return u = h, this;
    },
    defaults(h, d) {
      return typeof h > "u" ? c = this.data() : c = Object.assign({}, Ie(c), d ? { [h]: d } : h), this;
    },
    reset(...h) {
      let d = Ie(c);
      return h.length === 0 ? Object.assign(this, d) : Object.assign(
        this,
        Object.keys(d).filter((y) => h.includes(y)).reduce((y, w) => (y[w] = d[w], y), {})
      ), this;
    },
    setError(h, d) {
      return Object.assign(this.errors, d ? { [h]: d } : h), this.hasErrors = Object.keys(this.errors).length > 0, this;
    },
    clearErrors(...h) {
      return this.errors = Object.keys(this.errors).reduce(
        (d, y) => ({
          ...d,
          ...h.length > 0 && !h.includes(y) ? { [y]: this.errors[y] } : {}
        }),
        {}
      ), this.hasErrors = Object.keys(this.errors).length > 0, this;
    },
    async _validateSchema(h) {
      if (!!i)
        try {
          await i.validate(this.data(), { abortEarly: !1 }), this.clearErrors();
        } catch (d) {
          h ? (this.clearErrors(h), d.inner.forEach((y) => {
            h ? h === y.path && this.setError(h, y.errors[0]) : this.setError(h, y.errors[0]);
          })) : (this.clearErrors(), d.inner.forEach((y) => {
            this.setError(y.path, y.errors[0]);
          }));
        }
    },
    async validate(h) {
      ui(await this._validateSchema(h), 100);
    },
    submit(h, d, y = {}) {
      const w = u(this.data());
      this.processing = !0;
      const m = {
        instance: a,
        ...y,
        onSuccess: async (E) => {
          this.clearErrors(), this.processing = !1;
          const C = y.onSuccess ? await y.onSuccess(E) : null;
          return c = Ie(this.data()), this.isDirty = !1, C;
        },
        onErrors: (E) => {
          if (this.processing = !1, this.clearErrors().setError(E), y.onErrors)
            return y.onErrors(E);
        },
        onError: (E) => {
          if (this.processing = !1, y.onError)
            return y.onError(E);
        },
        onFinish: () => {
          if (this.processing = !1, y.onFinish)
            return y.onFinish();
        }
      };
      h === "delete" ? _n.delete(d, { ...m, data: w }) : _n[h](d, w, m);
    },
    get(h, d) {
      this.submit("get", h, d);
    },
    post(h, d) {
      this.submit("post", h, d);
    },
    put(h, d) {
      this.submit("put", h, d);
    },
    delete(h, d) {
      this.submit("delete", h, d);
    },
    call(h, d) {
      this.submit("call", h, d);
    }
  });
  return Kn(
    g,
    (h) => {
      g.isDirty = !ci(g.data(), c);
    },
    { immediate: !0, deep: !0 }
  ), g;
}
export {
  an as client,
  _n as http,
  li as useForm
};
